Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class InheritValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.InheritValue

All Implemented Interfaces:
  Value

public class InheritValue
extends AbstractValue

This singleton class represents the 'inherit' value.

Field Summary
`static InheritValue` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `InheritValue()` Creates a new InheritValue object.

Method Summary
`java.lang.String` | `getCssText()` A string representation of the current value.
`short` | `getCssValueType()` A code defining the type of the value.
`java.lang.String` | `toString()` Returns a printable representation of this object.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRed, getRight, getSeparator, getStringValue, getTop, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final InheritValue INSTANCE

  The only instance of this class.

Constructor Detail

### InheritValue

    protected InheritValue()

  Creates a new InheritValue object.

Method Detail

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.

### getCssValueType

    public short getCssValueType()

  A code defining the type of the value.

  Specified by:
    `getCssValueType` in interface `Value`
  Overrides:
    `getCssValueType` in class `AbstractValue`

### toString

    public java.lang.String toString()

  Returns a printable representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.